<?php
header("Content-Type: application/json");
include 'db_config.php';

$response = array();
$conn = dbConnect();

// ইউজার আইডি নেয়া
$uid = isset($_GET['uid']) ? $_GET['uid'] : null;

if ($uid === null) {
    $response['status'] = "error";
    $response['message'] = "User ID is required.";
    echo json_encode($response);
    exit;
}

// শুধুমাত্র নির্দিষ্ট ইউজারের পোস্ট
$sql = "SELECT * FROM posts WHERE uid = ? ORDER BY id DESC";
$stmt = mysqli_prepare($conn, $sql);
mysqli_stmt_bind_param($stmt, "s", $uid);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt);

if (mysqli_num_rows($result) > 0) {
    $response['status'] = "success";
    $response['posts'] = array();

    while ($row = mysqli_fetch_assoc($result)) {
        $post = array();
        $post['id'] = $row['id'];
        $post['uid'] = $row['uid'];
        $post['name'] = $row['name'];
        $post['text'] = $row['text'];
        $post['profile'] = $row['profile'];
        $post['time'] = $row['time'];
        $post['image_url'] = $row['image_url'];

        array_push($response['posts'], $post);
    }
} else {
    $response['status'] = "empty";
    $response['message'] = "No posts found for this user.";
}

echo json_encode($response);
?> java code