<?php
include 'db_config.php';

header('Content-Type: application/json');

$uid = $_GET['uid'] ?? '';

if ($uid == '') {
    echo json_encode(["status" => "error", "message" => "UID is required"]);
    exit;
}

$conn = dbConnect();

// Prepared statement for security
$stmt = $conn->prepare("SELECT online_status FROM users WHERE uid = ?");
$stmt->bind_param("s", $uid);
$stmt->execute();
$stmt->bind_result($online_status);

if ($stmt->fetch()) {
    echo json_encode(["status" => "success", "online_status" => $online_status]);
} else {
    echo json_encode(["status" => "error", "message" => "User not found"]);
}

$stmt->close();
$conn->close();
?>